Member Function
Iterator
Constructor
Iterator(index)
Iterator(iterator)
Parameters

index | An index object.
iterator | Another TopDownHistory iterator. (copy constructor) Types: TopDownHistory Iterator

Remarks
If not copy-constructed the TopDownHistory Iterator starts in the root node of the suffix tree.
Note that the virtual tree can either be a virtual suffix tree or a virtual prefix tree. The suffix tree is shown in Figure 1 and is implemented with the IndexDfi, IndexEsa and IndexWotd. In contrast the FMIndex implements a prefix trie shown in Figure 2.
Member of
TopDownHistory Iterator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59